﻿IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'BVAI' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_BVAI')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_BVAI on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_BVAI] DEFAULT ((0)) FOR [BVAI]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP1' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP1')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP1 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP1] DEFAULT ((0)) FOR [TDEP1]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP2' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP2')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP2 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP2] DEFAULT ((0)) FOR [TDEP2]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP3' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP3')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP3 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP3] DEFAULT ((0)) FOR [TDEP3]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP4' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP4')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP4 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP4] DEFAULT ((0)) FOR [TDEP4]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP5' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP5')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP5 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP5] DEFAULT ((0)) FOR [TDEP5]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP6' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP6')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP6 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP6] DEFAULT ((0)) FOR [TDEP6]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP7' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP7')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP7 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP7] DEFAULT ((0)) FOR [TDEP7]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP8' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP8')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP8 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP8] DEFAULT ((0)) FOR [TDEP8]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP9' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP9')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP9 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP9] DEFAULT ((0)) FOR [TDEP9]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP10' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP10')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP10 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP10] DEFAULT ((0)) FOR [TDEP10]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP11' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP11')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP11 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP11] DEFAULT ((0)) FOR [TDEP11]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP12' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP12')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP12 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP12] DEFAULT ((0)) FOR [TDEP12]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP13' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP13')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP13 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP13] DEFAULT ((0)) FOR [TDEP13]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP14' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP14')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP14 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP14] DEFAULT ((0)) FOR [TDEP14]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP15' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP15')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP15 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP15] DEFAULT ((0)) FOR [TDEP15]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP16' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP16')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP16 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP16] DEFAULT ((0)) FOR [TDEP16]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP17' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP17')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP17 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP17] DEFAULT ((0)) FOR [TDEP17]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP18' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP18')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP18 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP18] DEFAULT ((0)) FOR [TDEP18]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP19' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP19')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP19 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP19] DEFAULT ((0)) FOR [TDEP19]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'TDEP20' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_TDEP20')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_TDEP20 on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_TDEP20] DEFAULT ((0)) FOR [TDEP20]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'LWPF' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_LWPF')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_LWPF on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_LWPF] DEFAULT ((0)) FOR [LWPF]
END 
GO

IF EXISTS (SELECT 1 FROM INFORMATION_SCHEMA.COLUMNS WHERE TABLE_NAME = 'CBSHDR' AND COLUMN_NAME = 'NOTE' AND COLUMN_DEFAULT IS NULL)
	AND NOT EXISTS (SELECT 1 FROM sys.default_constraints WHERE NAME = 'DF_CBSHDR_NOTE')
BEGIN 
    PRINT 'Creating default constraint DF_CBSHDR_NOTE on table CBSHDR' 
    ALTER TABLE [dbo].[CBSHDR]
    ADD CONSTRAINT [DF_CBSHDR_NOTE] DEFAULT ((0)) FOR [NOTE]
END 
GO

